You are not logged in.

#1 2022-10-12 03:54:47

Muteplayer
Member
Registered: 2022-10-09
Posts: 17

Waydroid: Module Binder Install Fail

I'm trying to install waydroid on Arch Linux. I'm flowing this tutorial on wiki, so I installed anbox-modules-dkms-git, but when I try to install via yay I get a bunch of errors on end:

$ yay -S anbox-modules-dkms-git
:: Checking for conflicts...
:: Checking for inner conflicts...
[Repo:1]  dkms-3.0.7-1
[Aur:1]  anbox-modules-dkms-git-r38.8148a16-5

  1 anbox-modules-dkms-git                   (Build Files Exist)
==> Packages to cleanBuild?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> a
:: Deleting (1/1): /home/muteplayer/.cache/yay/anbox-modules-dkms-git
:: (1/1) Downloaded PKGBUILD: anbox-modules-dkms-git
  1 anbox-modules-dkms-git                   (Build Files Exist)
==> Diffs to show?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> n
:: (1/1) Parsing SRCINFO: anbox-modules-dkms-git
resolving dependencies...
looking for conflicting packages...

Packages (1) dkms-3.0.7-1

Total Installed Size:  0.10 MiB

:: Proceed with installation? [Y/n] y
(1/1) checking keys in keyring                                           [########################################] 100%
(1/1) checking package integrity                                         [########################################] 100%
(1/1) loading package files                                              [########################################] 100%
(1/1) checking for file conflicts                                        [########################################] 100%
(1/1) checking available disk space                                      [########################################] 100%
:: Processing package changes...
(1/1) installing dkms                                                    [########################################] 100%
Optional dependencies for dkms
    linux-headers: build modules against the Arch kernel
    linux-lts-headers: build modules against the LTS kernel
    linux-zen-headers: build modules against the ZEN kernel
    linux-hardened-headers: build modules against the HARDENED kernel
:: Running post-transaction hooks...
(1/2) Arming ConditionNeedsUpdate...
(2/2) Refreshing PackageKit...
==> Making package: anbox-modules-dkms-git r38.8148a16-5 (Wed Oct 12 00:37:53 2022)
==> Retrieving sources...
  -> Cloning anbox-modules git repo...
Cloning into bare repository '/home/muteplayer/.cache/yay/anbox-modules-dkms-git/anbox-modules'...
remote: Enumerating objects: 203, done.
remote: Counting objects: 100% (27/27), done.
remote: Compressing objects: 100% (20/20), done.
remote: Total 203 (delta 16), reused 16 (delta 7), pack-reused 176
Receiving objects: 100% (203/203), 200.51 KiB | 232.00 KiB/s, done.
Resolving deltas: 100% (88/88), done.
==> Validating source files with sha256sums...
    anbox-modules ... Skipped
 -> dkms not satisfied, flushing install queue
==> Making package: anbox-modules-dkms-git r38.8148a16-5 (Wed Oct 12 00:38:00 2022)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Updating anbox-modules git repo...
==> Validating source files with sha256sums...
    anbox-modules ... Skipped
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Creating working copy of anbox-modules git repo...
Cloning into 'anbox-modules'...
done.
Switched to a new branch 'makepkg'
==> Starting prepare()...
==> Starting pkgver()...
==> Updated version: anbox-modules-dkms-git r41.2325d6f-1
==> Sources are ready.
==> Making package: anbox-modules-dkms-git r41.2325d6f-1 (Wed Oct 12 00:38:06 2022)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Starting pkgver()...
==> Entering fakeroot environment...
==> Starting package()...
==> Tidying install...
  -> Removing libtool files...
  -> Purging unwanted files...
  -> Removing static library files...
  -> Stripping unneeded symbols from binaries and libraries...
  -> Compressing man and info pages...
==> Checking for packaging issues...
==> Creating package "anbox-modules-dkms-git"...
  -> Generating .PKGINFO file...
  -> Generating .BUILDINFO file...
  -> Generating .MTREE file...
bsdtar: Failed to set default locale
  -> Compressing package...
bsdtar: Failed to set default locale
==> Leaving fakeroot environment.
==> Finished making: anbox-modules-dkms-git r41.2325d6f-1 (Wed Oct 12 00:38:14 2022)
==> Cleaning up...
 -> Found git repo: github.com/choff/anbox-modules
loading packages...
resolving dependencies...
looking for conflicting packages...

Packages (1) anbox-modules-dkms-git-r41.2325d6f-1

Total Installed Size:  0.30 MiB

:: Proceed with installation? [Y/n] 
(1/1) checking keys in keyring                                           [########################################] 100%
(1/1) checking package integrity                                         [########################################] 100%
(1/1) loading package files                                              [########################################] 100%
(1/1) checking for file conflicts                                        [########################################] 100%
(1/1) checking available disk space                                      [########################################] 100%
:: Processing package changes...
(1/1) installing anbox-modules-dkms-git                                  [########################################] 100%
:: Running post-transaction hooks...
(1/4) Reloading device manager configuration...
(2/4) Arming ConditionNeedsUpdate...
(3/4) Install DKMS modules
==> ERROR: Missing dev kernel headers for module anbox-binder/r41.2325d6f.
==> ERROR: Missing var kernel headers for module anbox-binder/r41.2325d6f.
==> ERROR: Missing usr kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing etc kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing opt kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing proc kernel headers for module anbox-binder/r41.2325d6f.
==> ERROR: Missing bin kernel headers for module anbox-binder/r41.2325d6f.
==> ERROR: Missing run kernel headers for module anbox-binder/r41.2325d6f.
==> ERROR: Missing dev kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing mnt kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing lib kernel headers for module anbox-binder/r41.2325d6f.
==> ERROR: Missing srv kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing run kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing lib kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing tmp kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing sbin kernel headers for module anbox-binder/r41.2325d6f.
==> ERROR: Missing lost+found kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing lib64 kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing home kernel headers for module anbox-binder/r41.2325d6f.
==> ERROR: Missing opt kernel headers for module anbox-binder/r41.2325d6f.
==> ERROR: Missing sys kernel headers for module anbox-binder/r41.2325d6f.
==> ERROR: Missing var kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing root kernel headers for module anbox-binder/r41.2325d6f.
==> ERROR: Missing boot kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing sbin kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing root kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing tmp kernel headers for module anbox-binder/r41.2325d6f.
==> ERROR: Missing lib64 kernel headers for module anbox-binder/r41.2325d6f.
==> ERROR: Missing boot kernel headers for module anbox-binder/r41.2325d6f.
==> ERROR: Missing bin kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing usr kernel headers for module anbox-binder/r41.2325d6f.
==> ERROR: Missing srv kernel headers for module anbox-binder/r41.2325d6f.
==> ERROR: Missing sys kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing proc kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing home kernel headers for module anbox-ashmem/r41.2325d6f.
==> ERROR: Missing lost+found kernel headers for module anbox-binder/r41.2325d6f.
==> ERROR: Missing etc kernel headers for module anbox-binder/r41.2325d6f.
==> ERROR: Missing mnt kernel headers for module anbox-binder/r41.2325d6f.
(4/4) Refreshing PackageKit...

I installed waydroid and waydroid-image before installing it, but I do nothing yet. And I read that I don't need ashmem, because it has been replaced by memfd, so I need to install memfd? And if yes, how?


#gotoVega

Offline

#2 2022-10-12 04:39:15

Scimmia
Fellow
Registered: 2012-09-01
Posts: 10,010

Re: Waydroid: Module Binder Install Fail

Did you read what you posted? Including the optional deps? Or done any reading about dkms?

Offline

#3 2022-10-12 15:41:22

Xabre
Member
From: Serbia
Registered: 2009-03-19
Posts: 742

Re: Waydroid: Module Binder Install Fail

You don't need those modules unless you're running LTS kernel.

Note: Since waydroid 1.2.1 ashmem is not needed anymore, memfd can be used instead, see issue. 
This because ashmem has been completely replaced by memfd in mainline Linux since version 5.18.

Just be sure to run wayland session.

Last edited by Xabre (2022-10-12 16:24:13)

Offline

#4 2022-10-12 21:22:30

Muteplayer
Member
Registered: 2022-10-09
Posts: 17

Re: Waydroid: Module Binder Install Fail

Scimmia wrote:

Did you read what you posted? Including the optional deps? Or done any reading about dkms?

I don't understand what you mean


#gotoVega

Offline

#5 2022-10-12 21:29:27

Muteplayer
Member
Registered: 2022-10-09
Posts: 17

Re: Waydroid: Module Binder Install Fail

Xabre wrote:

You don't need those modules unless you're running LTS kernel.

Note: Since waydroid 1.2.1 ashmem is not needed anymore, memfd can be used instead, see issue. 
This because ashmem has been completely replaced by memfd in mainline Linux since version 5.18.

Just be sure to run wayland session.

How I check my kernel?
I have plasma-wayland-session installed, with that works? (I din't execute any command with wayland)


#gotoVega

Offline

#6 2022-10-12 22:30:34

Xabre
Member
From: Serbia
Registered: 2009-03-19
Posts: 742

Re: Waydroid: Module Binder Install Fail

Are you using default Arch kernel? Default Arch kernel is currently at version 5.19.x (6.0.x is currently in testing), so it is newer than requirement stated in that message from the wiki. I mean, LTS kernel is called linux-lts, you should know if you installed it. Type uname -a in terminal, and see if unsure what you installed.

Are you using Plasma Wayland session or just have it installed? Select it in SDDM, or any other display manager you're using. Waydroid, as name implies, is meant for Wayland, if not using Wayland but X11, you should still be able to use it with nested session (though IME experience is far less optimal). If not on LTS kernel, all required modules are in the kernel, no need to compile/install extra ones.

Last edited by Xabre (2022-10-12 22:31:29)

Offline

#7 2022-10-16 02:12:20

Muteplayer
Member
Registered: 2022-10-09
Posts: 17

Re: Waydroid: Module Binder Install Fail

Xabre wrote:

Are you using default Arch kernel? Default Arch kernel is currently at version 5.19.x (6.0.x is currently in testing), so it is newer than requirement stated in that message from the wiki. I mean, LTS kernel is called linux-lts, you should know if you installed it. Type uname -a in terminal, and see if unsure what you installed.

Are you using Plasma Wayland session or just have it installed? Select it in SDDM, or any other display manager you're using. Waydroid, as name implies, is meant for Wayland, if not using Wayland but X11, you should still be able to use it with nested session (though IME experience is far less optimal). If not on LTS kernel, all required modules are in the kernel, no need to compile/install extra ones.

I'm using default, and I just have wayland installed cuz idk how to use it


#gotoVega

Offline

#8 2022-11-26 16:23:59

Morta
Member
Registered: 2019-07-07
Posts: 581

Re: Waydroid: Module Binder Install Fail

You need to install linux-headers package

Offline

#9 2022-11-27 23:40:23

nomorewindows
Member
Registered: 2010-04-03
Posts: 3,324

Re: Waydroid: Module Binder Install Fail

You can get the binder_linux-dkms only modules package from the chaotic-aur unofficial repository.

I have waydroid going, but all I can get is a Weston desktop that allows me to do a xrvt shell, but that's it.

When I try to do a waydroid session even inside of the weston window, it still gives me xdg session is not Wayland.  Maybe it doesn't work in awesome?  Maybe that's because awesome uses xcb instead of straight x11.

Last edited by nomorewindows (2022-11-27 23:44:29)


I may have to CONSOLE you about your usage of ridiculously easy graphical interfaces...
Look ma, no mouse.

Offline

Board footer

Powered by FluxBB